Skip to main content
GET
Get Evaluation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

evaluation_id
string
required

Response

Successful Response

Response for getting evaluation details

evaluation_id
string
required
name
string
required
status
enum<string>
required

Evaluation status enum

Available options:
PENDING,
RUNNING,
PROCESSING,
COMPLETED,
FAILED,
TIMEOUT,
CANCELLED
eval_type
enum<string>
required

Evaluation type enum

Available options:
suite,
training,
environment
total_samples
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
user_id
string | null

User ID of evaluation owner

team_id
string | null

Team ID if evaluation is owned by a team

environment_ids
string[] | null
environment_names
string[] | null
suite_id
string | null
run_id
string | null
version_id
string | null
is_hosted
boolean
default:false
sandbox_id
string | null
inference_model
string | null
eval_config
Eval Config · object | null
error_message
string | null
logs
string | null
model_name
string | null
dataset
string | null
framework
string | null
task_type
string | null
description
string | null
tags
string[]
avg_score
number | null
min_score
number | null
max_score
number | null
started_at
string<date-time> | null
completed_at
string<date-time> | null
metadata
Metadata · object | null
metrics
Metrics · object | null
viewer_url
string | null
is_public
boolean
default:false

Whether this evaluation is publicly shareable by link

show_on_leaderboard
boolean
default:false

Whether this public evaluation appears on environment leaderboards

statistics
Statistics · object | null

Statistics format (totalResults, totalReward, avgReward)

chartData
Chartdata · object | null

Histogram and statistics for visualization

rubricInfo
Rubricinfo · object | null

Rubric with detected metrics and weights

detailedMetrics
Detailedmetrics · object | null

Detailed statistics for each detected metric

rewardStats
Rewardstats · object | null

Reward statistics for backward compatibility